Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516953 - Button for removing retirement date is missing
Summary: Button for removing retirement date is missing
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Milan Zázrivec
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 16:36 UTC by Jan Zmeskal
Modified: 2017-12-18 14:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 08:03:59 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Working button in older version (deleted)
2017-11-23 16:36 UTC, Jan Zmeskal
no flags Details
Button is missing in 5.9.0.9 (deleted)
2017-11-23 16:38 UTC, Jan Zmeskal
no flags Details
retirement button (deleted)
2017-11-28 08:03 UTC, Milan Zázrivec
no flags Details

Description Jan Zmeskal 2017-11-23 16:36:54 UTC
Created attachment 1358312 [details]
Working button in older version

Description of problem:
Button for removing retirement date is missing (it is supposed to be next to "Retirement Date" at "Set/Remove retirement date for Virtual Machine" view). It used to be red "X".

Version-Release number of selected component (if applicable):
5.9.0.9

How reproducible:
100 %

Steps to Reproduce:
1. Have a VM in CFME
2. Go to VM's detail page
3. Click Lifecycle -> Set Retirement Date
4. Set some date

Actual results:
Date is set, but button for removing it does not appear

Additional info:
VM from provider RHV 4.1
Screenshots attached

Comment 2 Jan Zmeskal 2017-11-23 16:38:22 UTC
Created attachment 1358313 [details]
Button is missing in 5.9.0.9

Comment 3 Milan Zázrivec 2017-11-28 08:03:44 UTC
Created attachment 1359705 [details]
retirement button

The button to clear the input field is there, it's just part of
the whole patternfly widget now.


Note You need to log in before you can comment on or make changes to this bug.